System.Data 2.0.0.0 System.Enum

The SqlNotificationSource enumeration is referenced by an instance of the class.

Query notifications are supported only for SELECT statements that meet a list of specific requirements. The following table provides links to the Service Broker and Query Notifications documentation in SQL Server Books Online.

SQL Server Books Online

Creating a Query for Notification

Security Considerations for Service Broker

Security and Protection (Service Broker)

Security Considerations for Notifications Services

Query Notification Permissions

International Considerations for Service Broker

Solution Design Considerations (Service Broker)

Service Broker Developer InfoCenter

Developer's Guide (Service Broker)

Indicates the source of the notification received by the dependency event handler.

- Field
  System.Data.SqlClient.SqlNotificationSource

  A client-initiated notification occurred, such as a client-side time-out or as a result of attempting to add a command to a dependency that has already fired.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlNotificationSource

  Data has changed; for example, an insert, update, delete, or truncate operation occurred.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlNotificationSource

  The database state changed; for example, the database related to the query was dropped or detached.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlNotificationSource

  The run-time environment was not compatible with notifications; for example, the isolation level was set to snapshot, or one or more SET options are not compatible.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlNotificationSource

  A run-time error occurred during execution.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlNotificationSource

  A database object changed; for example, an underlying object related to the query was dropped or modified.

  2.0.0.0
- Field
  2.0.0.0
  System.Data.SqlClient.SqlNotificationSource

  Internal only; not intended to be used in your code.

- Field
  System.Data.SqlClient.SqlNotificationSource

  The Transact-SQL statement is not valid for notifications; for example, a SELECT statement that could not be notified or a non-SELECT statement was executed.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlNotificationSource

  A system-related event occurred. For example, there was an internal error, the server was restarted, or resource pressure caused the invalidation.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlNotificationSource

  The subscription time-out expired.

  2.0.0.0
- Field
  2.0.0.0
  System.Data.SqlClient.SqlNotificationSource

  Used when the source option sent by the server was not recognized by the client.